<template>
  <div class="add-event">
    <div class="add-event__top">
      <div class="form-block">
        <div class="form-block__title">Name</div>
        <div class="form-block__content">
          <el-input
            v-model="newItem.name"
            border
            line
            placeholder="Cool name only!"
          />
        </div>
      </div>
      <div class="form-block">
        <div class="form-block__title">Category</div>
        <div class="form-block__content">
          <el-select
            v-model="newItem.category"
            border
            line
            placeholder="Category"
          >
            <el-option value="Photography">Photography</el-option>
            <el-option value="Paintings">Paintings</el-option>
            <el-option value="Music">Music</el-option>
            <el-option value="Food">Food</el-option>
            <el-option value="Jewelery">Jewelery</el-option>
            <el-option value="Furniture">Furniture</el-option>
          </el-select>
        </div>
      </div>
      <div class="form-block flex">
        <div class="form-block__value">
          <div class="form-block__title">Price</div>
          <div class="form-block__content">
            <el-input
              v-model="newItem.price"
              :disabled="newItem.payment_currency == '🙏'"
            />
          </div>
        </div>
        <div class="form-block__price">
          <el-select
            v-model="newItem.payment_currency"
            border
            line
            :popper-append-to-body="false"
          >
            <el-option value="🙏">Donation</el-option>
            <el-option value="$">
              <div>$ – US Dollar</div>
              <span class="select-soon">soon</span>
            </el-option>
            <el-option value="€" disabled>
              <div>€ – European Euro</div>
              <span class="select-soon">soon</span>
            </el-option>
            <el-option value="₽" disabled>
              <div>₽ – Russian Ruble</div>
              <span class="select-soon">soon</span>
            </el-option>
            <el-option value="₹" disabled>
              <div>₹ – Brazil Real</div>
              <span class="select-soon">soon</span>
            </el-option>
            <el-option value="¥" disabled>
              <div>¥ – China Yen</div>
              <span class="select-soon">soon</span>
            </el-option>
          </el-select>
        </div>
      </div>
      <div class="form-block">
        <div class="form-block__title">Description</div>
        <div class="form-block__content">
          <el-input
            type="textarea"
            v-model="newItem.description"
            :rows="2"
            placeholder="Please input"
            border
            line
          >
          </el-input>
        </div>
      </div>
      <div class="form-block">
        <div class="form-block__title">Location</div>
        <div class="form-block__content">
          <el-select
            v-model="newItem.location"
            multiple
            border
            line
            placeholder="Location"
          >
            <el-option value="Optional 1">Optional 1</el-option>
            <el-option value="Optional 2">Optional 2</el-option>
            <el-option value="Optional 3">Optional 3</el-option>
            <el-option value="Optional 4">Optional 4</el-option>
            <el-option value="Optional 5">Optional 5</el-option>
            <el-option value="Optional 6">Optional 6</el-option>
          </el-select>
        </div>
      </div>
      <el-upload type="preview" />
    </div>
    <div class="add-event__buttons">
      <div><Button>Launch</Button></div>
      <div><Button @click="$emit('close')" variant="grey">Close</Button></div>
    </div>
  </div>
</template>

<script lang="ts">
import { defineComponent, ref } from '@nuxtjs/composition-api'

import elCheckbox from '@/components/element/Checkbox.vue'
import elInput from '@/components/element/Input.vue'
import elSelect from '@/components/element/Select.vue'
import elUpload from '@/components/element/Upload.vue'
import elTag from '@/components/element/Tag.vue'

import Button from '@/components/ui/Button.vue'

export default defineComponent({
  name: 'AddEventStore',
  components: {
    Button,
    elTag,
    elUpload,
    elInput,
    elSelect,
    elCheckbox
  },
  setup(_, { root }) {
    const newItem = ref({
      name: '',
      description: '',
      category: '',
      quantity: 1,
      location: '',
      available: '',
      nft: false,
      price: 0,
      payment_currency: '$'
    })
    return { newItem }
  }
})
</script>
